Subject: [PATCH net-next v4 0/6] introduce dropreasons in tcp receive path

From: Jason Xing <[email-masked]>
Date: Tue, 13 Feb 2024 22:05:02 +0800

From: Jason Xing <[email-masked]>

As title said, we're going to refine the NOT_SPECIFIED reason in the
tcp v4/6 receive fast path.

This serie is another one of the v2 patchset[1] which are here split
into six patches. Besides, this patch is made on top of the previous
serie[2] I submitted some time ago.

[1]
Link: https://lore.kernel.org/all/[email-masked]/
[2]
Link: https://lore.kernel.org/all/[email-masked]/

v4:
Link: https://lore.kernel.org/netdev/[email-masked]/
Link: https://lore.kernel.org/netdev/[email-masked]/
Already got rid of @acceptable in tcp_rcv_state_process(), so I need to
remove *TCP_CONNREQNOTACCEPTABLE related codes which I wrote in the v3
series.

v3:
Link: https://lore.kernel.org/all/CANn89iK40SoyJ8fS2U5kp3pDruo=[email-masked]/
1. Split that patch into some smaller ones as suggested by Eric.

v2:
Link: https://lore.kernel.org/all/[email-masked]/
1. change the title of 2/2 patch.
2. fix some warnings checkpatch tool showed before.
3. use return value instead of adding more parameters suggested by Eric.
Jason Xing (6):
  tcp: introduce another three dropreasons in receive path
  tcp: add more specific possible drop reasons in
    tcp_rcv_synsent_state_process()
  tcp: add dropreasons in tcp_rcv_state_process()
  tcp: make the dropreason really work when calling
    tcp_rcv_state_process()
  tcp: make dropreason in tcp_child_process() work
  tcp: get rid of NOT_SEPCIFIED reason in tcp_v4/6_do_rcv

 include/net/dropreason-core.h | 15 ++++++++++++++-
 include/net/tcp.h             |  4 ++--
 net/ipv4/tcp_input.c          | 25 +++++++++++++++++--------
 net/ipv4/tcp_ipv4.c           | 20 ++++++++++++--------
 net/ipv4/tcp_minisocks.c      |  9 +++++----
 net/ipv6/tcp_ipv6.c           | 20 ++++++++++++--------
 6 files changed, 62 insertions(+), 31 deletions(-)

-- 
2.37.3